{
  "name": "online-optmize",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "dev:test": "vite --host --mode test",
    "dev:dev": "vite --host --mode development",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "build:dev": "vite build --mode development",
    "build:pro": "vite build --mode product",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@turf/turf": "^7.1.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "ant-design-vue": "^4.2.3",
    "axios": "^1.7.5",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.13",
    "decimal.js": "^10.4.3",
    "echarts": "^5.5.1",
    "element-plus": "^2.8.1",
    "exceljs": "^4.4.0",
    "leaflet": "^1.9.4",
    "lodash": "^4.17.21",
    "mitt": "^3.0.1",
    "moment": "^2.30.1",
    "moment-timezone": "^0.5.46",
    "pinia": "^2.2.2",
    "sass-loader": "^16.0.2",
    "vue": "^3.4.29",
    "vue-draggable-plus": "^0.5.3",
    "vue-router": "^4.3.3",
    "vue3-puzzle-vcode": "^1.1.7",
    "vuedraggable": "^2.24.3",
    "vxe-pc-ui": "^4.1.7",
    "vxe-table": "^4.7.70",
    "vxe-table-plugin-export-xlsx": "^4.0.5",
    "xe-clipboard": "^1.10.2",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/leaflet": "^1.9.12",
    "@types/lodash": "^4.17.7",
    "@types/node": "^20.14.5",
    "@vitejs/plugin-vue": "^5.1.4",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/tsconfig": "^0.5.1",
    "autoprefixer": "^10.4.20",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "npm-run-all2": "^6.2.0",
    "postcss": "^8.4.41",
    "postcss-loader": "^8.1.1",
    "prettier": "^3.2.5",
    "sass": "^1.79.4",
    "typescript": "~5.4.0",
    "unplugin-auto-import": "^0.18.2",
    "unplugin-icons": "^0.19.3",
    "unplugin-vue-components": "^0.27.4",
    "vite": "^5.3.1",
    "vue-tsc": "^2.0.21"
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  }
}
